> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.feedonomics.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.feedonomics.com/_mcp/server.

# Updates an export configuration

PUT https://meta.feedonomics.com/api.php/dbs/{db_id}/exports/{export_id}
Content-Type: application/json

Reference: https://docs.feedonomics.com/developer/api-reference/rest/platform-api/exports/updates-an-export-configuration

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `db_id` (double, required)
- `export_id` (double, required)

### Headers

- `x-api-key` (string, required)

### Body (application/json)

This endpoint expects an any.

- `any`

## Response

### 200

Gets a list of extra import fields

- `any`

## Examples

**Request**

```json
{
  "deduplicate_field_name": [],
  "delimiter": "tab",
  "destination": "target",
  "destination_region": "en-US",
  "enclosure": "",
  "escape": "",
  "export_encoding": "",
  "export_fields": {
    "field1": {
      "export_field_name": "additional_image_link",
      "export_id": "72",
      "field_name": "additional_image_link",
      "id": "512",
      "sort_order": "0"
    },
    "field2": {
      "export_field_name": "availability",
      "export_id": "72",
      "field_name": "availability",
      "id": "513",
      "sort_order": "0"
    }
  },
  "export_format": "delimited",
  "export_index_field": "",
  "export_selector": "true",
  "file_footer": "",
  "file_header": "",
  "file_name": "filename.txt",
  "host": "host.com",
  "include_column_names": "1",
  "json_minify_type": "full",
  "max_attempts": "3",
  "name": "export_name2",
  "password": "password",
  "protocol": "ftp",
  "protocol_info": [],
  "quoted_fields": "0",
  "row_limit": 0,
  "row_order": "ASC",
  "row_sort": "",
  "show_empty_parent_tags": "1",
  "show_empty_tags": "0",
  "sortable_fields": {
    "field1": {
      "name": "Default Sort",
      "source": "",
      "value": ""
    },
    "field2": {
      "name": "additional_image_link",
      "source": "Fields from Export Map",
      "value": "additional_image_link"
    },
    "field3": {
      "name": "availability",
      "source": "Fields from Export Map",
      "value": "availability"
    }
  },
  "strip_characters": {
    "char1": "\\r",
    "char2": "\\n",
    "char3": "\\t"
  },
  "tags": [],
  "threshold": "0",
  "time_between_attempts": "30",
  "timeout": "1200",
  "use_cdata": "0",
  "username": "username",
  "validate_custom_input": true,
  "xml_write_document_tag": "1",
  "zip_inner_file_name": ""
}
```

**Response**

```json
{
  "blocked": "0",
  "compression": "",
  "created_at": "2021-11-15 18:51:37",
  "cron": null,
  "cxn_id": "0",
  "db_id": "136",
  "deduplicate_field_name": [],
  "delimiter": "tab",
  "destination": "target",
  "destination_region": "en-US",
  "enclosure": "",
  "escape": "",
  "export_encoding": "",
  "export_fields": {
    "field1": {
      "export_field_name": "product_can_be_purchased_online",
      "export_id": "72",
      "field_name": "",
      "id": "569",
      "sort_order": "0"
    },
    "field2": {
      "export_field_name": "price",
      "export_id": "72",
      "field_name": "price",
      "id": "568",
      "sort_order": "0"
    }
  },
  "export_format": "delimited",
  "export_index_field": "",
  "export_selector": "true",
  "file_footer": "",
  "file_header": "",
  "file_name": "filename.txt",
  "ftp_url": "",
  "host": "host.com",
  "id": "72",
  "include_column_names": "1",
  "json_minify_type": "full",
  "legacy_workers": "0",
  "max_attempts": "3",
  "name": "export_name2",
  "next_run_time": null,
  "password": "password",
  "protocol": "ftp",
  "protocol_info": [],
  "quoted_fields": "0",
  "row_limit": "0",
  "row_order": "ASC",
  "row_sort": "",
  "running": "0",
  "show_empty_parent_tags": "1",
  "show_empty_tags": "0",
  "strip_characters": {
    "char1": "\\r",
    "char2": "\\n",
    "char3": "\\t"
  },
  "threshold": "0",
  "time_between_attempts": "30",
  "timeout": "1200",
  "timestamp": "0000-00-00 00:00:00",
  "use_cdata": "0",
  "username": "username",
  "worker_hostname": null,
  "worker_pid": null,
  "xml_write_document_tag": "1",
  "zip_inner_file_name": ""
}
```

**SDK Code**

```python Exports_updatesAnExportConfiguration_example
import requests

url = "https://meta.feedonomics.com/api.php/dbs/1.1/exports/1.1"

payload = {
    "deduplicate_field_name": [],
    "delimiter": "tab",
    "destination": "target",
    "destination_region": "en-US",
    "enclosure": "",
    "escape": "",
    "export_encoding": "",
    "export_fields": {
        "field1": {
            "export_field_name": "additional_image_link",
            "export_id": "72",
            "field_name": "additional_image_link",
            "id": "512",
            "sort_order": "0"
        },
        "field2": {
            "export_field_name": "availability",
            "export_id": "72",
            "field_name": "availability",
            "id": "513",
            "sort_order": "0"
        }
    },
    "export_format": "delimited",
    "export_index_field": "",
    "export_selector": "true",
    "file_footer": "",
    "file_header": "",
    "file_name": "filename.txt",
    "host": "host.com",
    "include_column_names": "1",
    "json_minify_type": "full",
    "max_attempts": "3",
    "name": "export_name2",
    "password": "password",
    "protocol": "ftp",
    "protocol_info": [],
    "quoted_fields": "0",
    "row_limit": 0,
    "row_order": "ASC",
    "row_sort": "",
    "show_empty_parent_tags": "1",
    "show_empty_tags": "0",
    "sortable_fields": {
        "field1": {
            "name": "Default Sort",
            "source": "",
            "value": ""
        },
        "field2": {
            "name": "additional_image_link",
            "source": "Fields from Export Map",
            "value": "additional_image_link"
        },
        "field3": {
            "name": "availability",
            "source": "Fields from Export Map",
            "value": "availability"
        }
    },
    "strip_characters": {
        "char1": "\r",
        "char2": "\n",
        "char3": "\t"
    },
    "tags": [],
    "threshold": "0",
    "time_between_attempts": "30",
    "timeout": "1200",
    "use_cdata": "0",
    "username": "username",
    "validate_custom_input": True,
    "xml_write_document_tag": "1",
    "zip_inner_file_name": ""
}
headers = {
    "x-api-key": "x-api-key",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Exports_updatesAnExportConfiguration_example
const url = 'https://meta.feedonomics.com/api.php/dbs/1.1/exports/1.1';
const options = {
  method: 'PUT',
  headers: {
    'x-api-key': 'x-api-key',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: '{"deduplicate_field_name":[],"delimiter":"tab","destination":"target","destination_region":"en-US","enclosure":"","escape":"","export_encoding":"","export_fields":{"field1":{"export_field_name":"additional_image_link","export_id":"72","field_name":"additional_image_link","id":"512","sort_order":"0"},"field2":{"export_field_name":"availability","export_id":"72","field_name":"availability","id":"513","sort_order":"0"}},"export_format":"delimited","export_index_field":"","export_selector":"true","file_footer":"","file_header":"","file_name":"filename.txt","host":"host.com","include_column_names":"1","json_minify_type":"full","max_attempts":"3","name":"export_name2","password":"password","protocol":"ftp","protocol_info":[],"quoted_fields":"0","row_limit":0,"row_order":"ASC","row_sort":"","show_empty_parent_tags":"1","show_empty_tags":"0","sortable_fields":{"field1":{"name":"Default Sort","source":"","value":""},"field2":{"name":"additional_image_link","source":"Fields from Export Map","value":"additional_image_link"},"field3":{"name":"availability","source":"Fields from Export Map","value":"availability"}},"strip_characters":{"char1":"\\r","char2":"\\n","char3":"\\t"},"tags":[],"threshold":"0","time_between_attempts":"30","timeout":"1200","use_cdata":"0","username":"username","validate_custom_input":true,"xml_write_document_tag":"1","zip_inner_file_name":""}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Exports_updatesAnExportConfiguration_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://meta.feedonomics.com/api.php/dbs/1.1/exports/1.1"

	payload := strings.NewReader("{\n  \"deduplicate_field_name\": [],\n  \"delimiter\": \"tab\",\n  \"destination\": \"target\",\n  \"destination_region\": \"en-US\",\n  \"enclosure\": \"\",\n  \"escape\": \"\",\n  \"export_encoding\": \"\",\n  \"export_fields\": {\n    \"field1\": {\n      \"export_field_name\": \"additional_image_link\",\n      \"export_id\": \"72\",\n      \"field_name\": \"additional_image_link\",\n      \"id\": \"512\",\n      \"sort_order\": \"0\"\n    },\n    \"field2\": {\n      \"export_field_name\": \"availability\",\n      \"export_id\": \"72\",\n      \"field_name\": \"availability\",\n      \"id\": \"513\",\n      \"sort_order\": \"0\"\n    }\n  },\n  \"export_format\": \"delimited\",\n  \"export_index_field\": \"\",\n  \"export_selector\": \"true\",\n  \"file_footer\": \"\",\n  \"file_header\": \"\",\n  \"file_name\": \"filename.txt\",\n  \"host\": \"host.com\",\n  \"include_column_names\": \"1\",\n  \"json_minify_type\": \"full\",\n  \"max_attempts\": \"3\",\n  \"name\": \"export_name2\",\n  \"password\": \"password\",\n  \"protocol\": \"ftp\",\n  \"protocol_info\": [],\n  \"quoted_fields\": \"0\",\n  \"row_limit\": 0,\n  \"row_order\": \"ASC\",\n  \"row_sort\": \"\",\n  \"show_empty_parent_tags\": \"1\",\n  \"show_empty_tags\": \"0\",\n  \"sortable_fields\": {\n    \"field1\": {\n      \"name\": \"Default Sort\",\n      \"source\": \"\",\n      \"value\": \"\"\n    },\n    \"field2\": {\n      \"name\": \"additional_image_link\",\n      \"source\": \"Fields from Export Map\",\n      \"value\": \"additional_image_link\"\n    },\n    \"field3\": {\n      \"name\": \"availability\",\n      \"source\": \"Fields from Export Map\",\n      \"value\": \"availability\"\n    }\n  },\n  \"strip_characters\": {\n    \"char1\": \"\\\\r\",\n    \"char2\": \"\\\\n\",\n    \"char3\": \"\\\\t\"\n  },\n  \"tags\": [],\n  \"threshold\": \"0\",\n  \"time_between_attempts\": \"30\",\n  \"timeout\": \"1200\",\n  \"use_cdata\": \"0\",\n  \"username\": \"username\",\n  \"validate_custom_input\": true,\n  \"xml_write_document_tag\": \"1\",\n  \"zip_inner_file_name\": \"\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("x-api-key", "x-api-key")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Exports_updatesAnExportConfiguration_example
require 'uri'
require 'net/http'

url = URI("https://meta.feedonomics.com/api.php/dbs/1.1/exports/1.1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["x-api-key"] = 'x-api-key'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"deduplicate_field_name\": [],\n  \"delimiter\": \"tab\",\n  \"destination\": \"target\",\n  \"destination_region\": \"en-US\",\n  \"enclosure\": \"\",\n  \"escape\": \"\",\n  \"export_encoding\": \"\",\n  \"export_fields\": {\n    \"field1\": {\n      \"export_field_name\": \"additional_image_link\",\n      \"export_id\": \"72\",\n      \"field_name\": \"additional_image_link\",\n      \"id\": \"512\",\n      \"sort_order\": \"0\"\n    },\n    \"field2\": {\n      \"export_field_name\": \"availability\",\n      \"export_id\": \"72\",\n      \"field_name\": \"availability\",\n      \"id\": \"513\",\n      \"sort_order\": \"0\"\n    }\n  },\n  \"export_format\": \"delimited\",\n  \"export_index_field\": \"\",\n  \"export_selector\": \"true\",\n  \"file_footer\": \"\",\n  \"file_header\": \"\",\n  \"file_name\": \"filename.txt\",\n  \"host\": \"host.com\",\n  \"include_column_names\": \"1\",\n  \"json_minify_type\": \"full\",\n  \"max_attempts\": \"3\",\n  \"name\": \"export_name2\",\n  \"password\": \"password\",\n  \"protocol\": \"ftp\",\n  \"protocol_info\": [],\n  \"quoted_fields\": \"0\",\n  \"row_limit\": 0,\n  \"row_order\": \"ASC\",\n  \"row_sort\": \"\",\n  \"show_empty_parent_tags\": \"1\",\n  \"show_empty_tags\": \"0\",\n  \"sortable_fields\": {\n    \"field1\": {\n      \"name\": \"Default Sort\",\n      \"source\": \"\",\n      \"value\": \"\"\n    },\n    \"field2\": {\n      \"name\": \"additional_image_link\",\n      \"source\": \"Fields from Export Map\",\n      \"value\": \"additional_image_link\"\n    },\n    \"field3\": {\n      \"name\": \"availability\",\n      \"source\": \"Fields from Export Map\",\n      \"value\": \"availability\"\n    }\n  },\n  \"strip_characters\": {\n    \"char1\": \"\\\\r\",\n    \"char2\": \"\\\\n\",\n    \"char3\": \"\\\\t\"\n  },\n  \"tags\": [],\n  \"threshold\": \"0\",\n  \"time_between_attempts\": \"30\",\n  \"timeout\": \"1200\",\n  \"use_cdata\": \"0\",\n  \"username\": \"username\",\n  \"validate_custom_input\": true,\n  \"xml_write_document_tag\": \"1\",\n  \"zip_inner_file_name\": \"\"\n}"

response = http.request(request)
puts response.read_body
```

```java Exports_updatesAnExportConfiguration_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://meta.feedonomics.com/api.php/dbs/1.1/exports/1.1")
  .header("x-api-key", "x-api-key")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"deduplicate_field_name\": [],\n  \"delimiter\": \"tab\",\n  \"destination\": \"target\",\n  \"destination_region\": \"en-US\",\n  \"enclosure\": \"\",\n  \"escape\": \"\",\n  \"export_encoding\": \"\",\n  \"export_fields\": {\n    \"field1\": {\n      \"export_field_name\": \"additional_image_link\",\n      \"export_id\": \"72\",\n      \"field_name\": \"additional_image_link\",\n      \"id\": \"512\",\n      \"sort_order\": \"0\"\n    },\n    \"field2\": {\n      \"export_field_name\": \"availability\",\n      \"export_id\": \"72\",\n      \"field_name\": \"availability\",\n      \"id\": \"513\",\n      \"sort_order\": \"0\"\n    }\n  },\n  \"export_format\": \"delimited\",\n  \"export_index_field\": \"\",\n  \"export_selector\": \"true\",\n  \"file_footer\": \"\",\n  \"file_header\": \"\",\n  \"file_name\": \"filename.txt\",\n  \"host\": \"host.com\",\n  \"include_column_names\": \"1\",\n  \"json_minify_type\": \"full\",\n  \"max_attempts\": \"3\",\n  \"name\": \"export_name2\",\n  \"password\": \"password\",\n  \"protocol\": \"ftp\",\n  \"protocol_info\": [],\n  \"quoted_fields\": \"0\",\n  \"row_limit\": 0,\n  \"row_order\": \"ASC\",\n  \"row_sort\": \"\",\n  \"show_empty_parent_tags\": \"1\",\n  \"show_empty_tags\": \"0\",\n  \"sortable_fields\": {\n    \"field1\": {\n      \"name\": \"Default Sort\",\n      \"source\": \"\",\n      \"value\": \"\"\n    },\n    \"field2\": {\n      \"name\": \"additional_image_link\",\n      \"source\": \"Fields from Export Map\",\n      \"value\": \"additional_image_link\"\n    },\n    \"field3\": {\n      \"name\": \"availability\",\n      \"source\": \"Fields from Export Map\",\n      \"value\": \"availability\"\n    }\n  },\n  \"strip_characters\": {\n    \"char1\": \"\\\\r\",\n    \"char2\": \"\\\\n\",\n    \"char3\": \"\\\\t\"\n  },\n  \"tags\": [],\n  \"threshold\": \"0\",\n  \"time_between_attempts\": \"30\",\n  \"timeout\": \"1200\",\n  \"use_cdata\": \"0\",\n  \"username\": \"username\",\n  \"validate_custom_input\": true,\n  \"xml_write_document_tag\": \"1\",\n  \"zip_inner_file_name\": \"\"\n}")
  .asString();
```

```php Exports_updatesAnExportConfiguration_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://meta.feedonomics.com/api.php/dbs/1.1/exports/1.1', [
  'body' => '{
  "deduplicate_field_name": [],
  "delimiter": "tab",
  "destination": "target",
  "destination_region": "en-US",
  "enclosure": "",
  "escape": "",
  "export_encoding": "",
  "export_fields": {
    "field1": {
      "export_field_name": "additional_image_link",
      "export_id": "72",
      "field_name": "additional_image_link",
      "id": "512",
      "sort_order": "0"
    },
    "field2": {
      "export_field_name": "availability",
      "export_id": "72",
      "field_name": "availability",
      "id": "513",
      "sort_order": "0"
    }
  },
  "export_format": "delimited",
  "export_index_field": "",
  "export_selector": "true",
  "file_footer": "",
  "file_header": "",
  "file_name": "filename.txt",
  "host": "host.com",
  "include_column_names": "1",
  "json_minify_type": "full",
  "max_attempts": "3",
  "name": "export_name2",
  "password": "password",
  "protocol": "ftp",
  "protocol_info": [],
  "quoted_fields": "0",
  "row_limit": 0,
  "row_order": "ASC",
  "row_sort": "",
  "show_empty_parent_tags": "1",
  "show_empty_tags": "0",
  "sortable_fields": {
    "field1": {
      "name": "Default Sort",
      "source": "",
      "value": ""
    },
    "field2": {
      "name": "additional_image_link",
      "source": "Fields from Export Map",
      "value": "additional_image_link"
    },
    "field3": {
      "name": "availability",
      "source": "Fields from Export Map",
      "value": "availability"
    }
  },
  "strip_characters": {
    "char1": "\\\\r",
    "char2": "\\\\n",
    "char3": "\\\\t"
  },
  "tags": [],
  "threshold": "0",
  "time_between_attempts": "30",
  "timeout": "1200",
  "use_cdata": "0",
  "username": "username",
  "validate_custom_input": true,
  "xml_write_document_tag": "1",
  "zip_inner_file_name": ""
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
    'x-api-key' => 'x-api-key',
  ],
]);

echo $response->getBody();
```

```csharp Exports_updatesAnExportConfiguration_example
using RestSharp;

var client = new RestClient("https://meta.feedonomics.com/api.php/dbs/1.1/exports/1.1");
var request = new RestRequest(Method.PUT);
request.AddHeader("x-api-key", "x-api-key");
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"deduplicate_field_name\": [],\n  \"delimiter\": \"tab\",\n  \"destination\": \"target\",\n  \"destination_region\": \"en-US\",\n  \"enclosure\": \"\",\n  \"escape\": \"\",\n  \"export_encoding\": \"\",\n  \"export_fields\": {\n    \"field1\": {\n      \"export_field_name\": \"additional_image_link\",\n      \"export_id\": \"72\",\n      \"field_name\": \"additional_image_link\",\n      \"id\": \"512\",\n      \"sort_order\": \"0\"\n    },\n    \"field2\": {\n      \"export_field_name\": \"availability\",\n      \"export_id\": \"72\",\n      \"field_name\": \"availability\",\n      \"id\": \"513\",\n      \"sort_order\": \"0\"\n    }\n  },\n  \"export_format\": \"delimited\",\n  \"export_index_field\": \"\",\n  \"export_selector\": \"true\",\n  \"file_footer\": \"\",\n  \"file_header\": \"\",\n  \"file_name\": \"filename.txt\",\n  \"host\": \"host.com\",\n  \"include_column_names\": \"1\",\n  \"json_minify_type\": \"full\",\n  \"max_attempts\": \"3\",\n  \"name\": \"export_name2\",\n  \"password\": \"password\",\n  \"protocol\": \"ftp\",\n  \"protocol_info\": [],\n  \"quoted_fields\": \"0\",\n  \"row_limit\": 0,\n  \"row_order\": \"ASC\",\n  \"row_sort\": \"\",\n  \"show_empty_parent_tags\": \"1\",\n  \"show_empty_tags\": \"0\",\n  \"sortable_fields\": {\n    \"field1\": {\n      \"name\": \"Default Sort\",\n      \"source\": \"\",\n      \"value\": \"\"\n    },\n    \"field2\": {\n      \"name\": \"additional_image_link\",\n      \"source\": \"Fields from Export Map\",\n      \"value\": \"additional_image_link\"\n    },\n    \"field3\": {\n      \"name\": \"availability\",\n      \"source\": \"Fields from Export Map\",\n      \"value\": \"availability\"\n    }\n  },\n  \"strip_characters\": {\n    \"char1\": \"\\\\r\",\n    \"char2\": \"\\\\n\",\n    \"char3\": \"\\\\t\"\n  },\n  \"tags\": [],\n  \"threshold\": \"0\",\n  \"time_between_attempts\": \"30\",\n  \"timeout\": \"1200\",\n  \"use_cdata\": \"0\",\n  \"username\": \"username\",\n  \"validate_custom_input\": true,\n  \"xml_write_document_tag\": \"1\",\n  \"zip_inner_file_name\": \"\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Exports_updatesAnExportConfiguration_example
import Foundation

let headers = [
  "x-api-key": "x-api-key",
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "deduplicate_field_name": [],
  "delimiter": "tab",
  "destination": "target",
  "destination_region": "en-US",
  "enclosure": "",
  "escape": "",
  "export_encoding": "",
  "export_fields": [
    "field1": [
      "export_field_name": "additional_image_link",
      "export_id": "72",
      "field_name": "additional_image_link",
      "id": "512",
      "sort_order": "0"
    ],
    "field2": [
      "export_field_name": "availability",
      "export_id": "72",
      "field_name": "availability",
      "id": "513",
      "sort_order": "0"
    ]
  ],
  "export_format": "delimited",
  "export_index_field": "",
  "export_selector": "true",
  "file_footer": "",
  "file_header": "",
  "file_name": "filename.txt",
  "host": "host.com",
  "include_column_names": "1",
  "json_minify_type": "full",
  "max_attempts": "3",
  "name": "export_name2",
  "password": "password",
  "protocol": "ftp",
  "protocol_info": [],
  "quoted_fields": "0",
  "row_limit": 0,
  "row_order": "ASC",
  "row_sort": "",
  "show_empty_parent_tags": "1",
  "show_empty_tags": "0",
  "sortable_fields": [
    "field1": [
      "name": "Default Sort",
      "source": "",
      "value": ""
    ],
    "field2": [
      "name": "additional_image_link",
      "source": "Fields from Export Map",
      "value": "additional_image_link"
    ],
    "field3": [
      "name": "availability",
      "source": "Fields from Export Map",
      "value": "availability"
    ]
  ],
  "strip_characters": [
    "char1": "\r",
    "char2": "\n",
    "char3": "\t"
  ],
  "tags": [],
  "threshold": "0",
  "time_between_attempts": "30",
  "timeout": "1200",
  "use_cdata": "0",
  "username": "username",
  "validate_custom_input": true,
  "xml_write_document_tag": "1",
  "zip_inner_file_name": ""
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://meta.feedonomics.com/api.php/dbs/1.1/exports/1.1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```